Licensing

This section provides information about the licensing program for the Microsoft® Windows Server 2003 family.

  • Before you begin setting up a licensing model, see Checklists
    • .
  • To find features that have been changed in the Windows Server 2003 family, see New ways to do familiar tasks
    • .
  • For tips on setting up licensing, see Best practices
    • .
  • For help with specific tasks, see How to....
  • For general information about licensing, see Concepts
    • .
  • For problem-solving instructions, see Troubleshooting
    • .
  • For information about required licenses for your Windows Server 2003 operating system deployment, see the Microsoft Web Site. (http://www.microsoft.com/)

Note

  • This section does not contain information about Terminal Server licensing. For information about Terminal Server licensing, see Terminal Server Licensing.


Checklists

  • Checklist: Configure licensing on a server
  • Checklist: Set up licensing for the enterprise


Checklist: Configure licensing on a server

This checklist shows the steps that are required to configure licensing on a local server. It also lists several optional steps that you might need to take after licensing is configured. To configure licensing on a remote server, see Checklist: Set up licensing for the enterprise.

Step | Reference
Review key concepts. | Administering and tracking licenses
Add Per Server licenses by using the Licensing option in Control Panel. | To add Per Server licenses on the local server
Configure replication on a server. | Licensing replication; Configuring licensing replication; To configure licensing replication on the local server
(Optional) Delete Per Server licenses by using the Licensing option in Control Panel. | To delete Per Server licenses on the local server
(Optional) Change the licensing mode from Per Server to Per Device or Per User on a server. | To change the local server to Per Device or Per User licensing


Checklist: Set up licensing for the enterprise

When you create a Windows Server 2003 operating system site, license logging is also set up for the site. However, you might need to change the licensing setup for the site, or for individual servers in the site. To configure licensing locally on a server, using Licensing in Control Panel, see Checklist: Configure licensing on a server.

This checklist shows the steps that are required to configure licensing on a remote server.

Step | Reference
Review key concepts. | Administering licensing for the enterprise
View license information for the enterprise. | To find the site license server for a site; To view licensing for a site
Select the licensing mode for servers in a site or change the licensing mode for a server to Per Device or Per User. | To change the licensing mode for a server to Per Device or Per User licensing
Configure replication for servers in a domain. | Tracking your organization's licensing; To configure replication for a server
Create license groups when the number of users is not the same as the number of devices. | License groups; To create a new license group
Change the site license server. | To change the site license server for a site


New ways to do familiar tasks

The user interface for Licensing in the Windows Server 2003 family is similar to that in Windows 2000 or Microsoft Windows NT 4.0. The following table lists the tasks that are different.

If you want to | In Windows NT 4.0 | In the Windows Server 2003 family and Windows 2000
Change the master server | Use Licensing in Control Panel or Licensing in Administrative Tools. | Not defined for Windows Server 2003 operating systems or Microsoft Windows 2000 domain. For more information, see Licensing replication or To configure replication for a server.
Change the site license server | Not defined for Windows NT 4.0 domain. | Open Active Directory Sites and Services. For more information, see Licensing replication, To change the site license server for a site, or To configure replication for a server.


Best practices

Consider the following factors when configuring and tracking licensing for your organization:

  • Per Device or Per User licensing mode is the best option if your clients frequently use multiple servers on the network.

    • The Per Device or Per User licensing mode enables all network devices or users to access all the servers on a network. The number of simultaneous connections to any server is unlimited. Per Device or Per User is the normal licensing mode for a server product that is installed on multiple servers in a network.

    For more information, see the Microsoft Web Site (http://www.microsoft.com/).

  • Per Server is the best licensing option when a server product is installed on only one server accessed at any time by no more than a subset of your users.

    • Per Server connections to a particular server are allocated on a first-come, first-served basis, and are limited to the number of Client Access Licenses allocated to the server. This might be more economical for a single-server network or for a server product that is accessed on one server by only one department or group in an organization. As your network grows, you are allowed a one-time conversion to Per Device or Per User licensing.

    For more information, see the Microsoft Web Site (http://www.microsoft.com/).

  • If you install a server product on a single server and you are uncertain which licensing mode is appropriate, choose Per Server.

    • As your network grows, or when you install the product on additional servers, you can make a one-time switch from Per Server to Per Device or Per User licensing. The licensing agreement does not permit the reverse switch from Per Device or Per User to Per Server licensing.

  • When the number of users is different from the number of devices, create a license group to allocate licenses for Per Device or Per User licensing.

    • Per Device or Per User licensing requires one Client Access License for each device. However, the License Logging service assigns and tracks licenses by user name. You should create license groups to correctly allocate licenses and track usage when multiple users share one or more devices or when one user has multiple devices.

    For more information, see License groups.

  • To replicate license data from a server running Windows NT 4.0 to the licensing database for a Windows Server 2003 operating system site, specify the site license server as the enterprise server for replication on the Windows NT 4.0 domain controller.

    • By default, Windows NT 4.0 servers replicate to the domain controller or to an enterprise licensing server. On all servers running Windows Server 2003, the License Logging service replicates automatically to the site license server. In the replication options for a Windows NT 4.0 domain controller, always choose to replicate to the enterprise server and always specify the site license server as the enterprise server.

    For more information, see:

    • Additional replication options for prior versions of Windows servers
    • Configuring Windows NT 4.0 licensing replication


How to...

  • Manage licensing on the local server
  • Manage licensing for an enterprise
  • Manage products and product licenses
  • Manage users


Manage licensing on the local server

  • Add Per Server licenses on the local server
  • Delete Per Server licenses on the local server
  • Change the local server to Per Device or Per User licensing
  • Configure licensing replication on the local server


Add Per Server licenses on the local server

Microsoft Windows graphic

To add Per Server licenses on the local server

  1. XOX
  2. In Product, select the product for which you want to add licenses.
  3. Click Add Licenses.
  4. In Product, select the product.
  5. In Quantity, type the number of new licenses purchased by your organization, and then click OK.
  6. If you agree to the licensing terms, select the I agree that check box, and then click OK.

Notes

  • XOX
  • XOX In this case, click License.
  • You can set the number of Per Server connections to 0 for a Windows Server 2003 operating system if it is used only as an operating system for an application and does not provide basic network services (such as file sharing, print sharing, remote access, and authenticated access).
  • This procedure is only for registering the purchase of Client Access Licenses on a server running in Per Server mode.

Related Topics


Delete Per Server licenses on the local server

Microsoft Windows graphic

To delete Per Server licenses on the local server

  1. XOX
  2. In Product, click the server product from which you want to remove licenses.
  3. Click Remove Licenses.
  4. Under Serial Number, click the certificate you want to change.
  5. In Number of Licenses to remove, type the number of licenses you want to remove, and then click Remove.
  6. To close the dialog box, click Cancel.

    7. Clicking Cancel closes the dialog box but does not cancel any changes.

Notes

  • XOX
  • XOX In this case, click Licensing.
  • After removing licenses for a product, you can allocate them to a different server.
  • XOX

Related Topics


Change the local server to Per Device or Per User licensing

Microsoft Windows graphic

To change the local server to Per Device or Per User licensing

  1. XOX
  2. In Product, click the product for which you want to change the licensing mode.
  3. Click Per Device or Per User.

Notes

  • XOX
  • XOX In this case, click Licensing.
  • The Per Device or Per User licensing mode requires a Client Access License for every device or user that connects to the selected server product. After a device or user is licensed, it can access any server running the product. Typically, this is more economical on networks where clients connect to more than one server.
  • If you are uncertain which mode to use, leave the server product in Per Server mode. The license agreement allows a one-time, one-way change from Per Server to Per Device or Per User licensing. You cannot switch from Per Device or Per User to Per Server.
  • If you are performing a one-time change from Per Server to Per Device or Per User licensing mode, the Client Access Licenses allocated to the server in Per Server mode can be added to the pool of Per Device or Per User licenses available for client devices or users accessing the server product on any server in the site. Use Licensing in Administrative Tools to add Per Device or Per User licenses for the product.
  • XOX

Related Topics


Configure licensing replication on the local server

Microsoft Windows graphic

To configure licensing replication on the local server

  1. XOX
  2. Click Replication.
  3. Under Replication Frequency, specify the desired interval for replicating licensing information to the site license server:

    To manually specify a time for daily replication on this server, click Start At, and then enter a time.

    Click Start Every, and then enter the interval at which the system should stagger the start times if multiple servers are set to this option.

Notes

  • XOX
  • XOX In this case, click Licensing.
  • If you select Start At under Replication Frequency and multiple servers replicate to the site license server, you must vary the starting times on each server to balance the load. Replication might not start until 15 minutes after the specified time.
  • The default is Start Every with a 24-hour interval. You can change this to an interval from one to 72 hours.
  • XOX

Related Topics


Manage licensing for an enterprise

  • To find the site license server for a site
  • To view licensing for a site
  • To view licensing for a Windows NT 4.0 domain
  • To view licensing for a server
  • To change the licensing mode for a server to Per Device or Per User licensing
  • To configure replication for a server
  • To change the site license server for a site


Find the site license server for a site

Microsoft Windows graphic

To find the site license server for a site

  1. Open Active Directory Sites and Services.
  2. In the console tree, click the site you want to configure.

    Where?

    • Active Directory Sites and Services
    • Sites
    • Site
  3. In the details pane, click Licensing Site Settings.
  4. On the Action menu, click Properties
    5. .
  5. Under Licensing Computer, read the Computer and Domain for the site license server.

Notes

  • XOX
  • XOX
  • The default site license server is the first domain controller created in the site, but the site license server does not have to be a domain controller. For optimal performance, however, it is recommended that the site license server and domain controller be in the same site.

Related Topics


View licensing for a site

Microsoft Windows graphic

To view licensing for a site

  1. XOX
  2. On the License menu, click Select Domain.
  3. Enter the name of the site license server for the domain.

Notes

  • XOX
  • XOX
  • To find the name of the site license server for a site, see "Find the site license server for a site" in Related Topics.

Related Topics


View licensing for a Windows NT 4.0 domain

Microsoft Windows graphic

To view licensing for a Windows NT 4.0 domain

  1. XOX
  2. On the License menu, click Select Domain.
  3. In Domain, enter the name of the domain to administer.

Notes

  • XOX
  • XOX
  • After you select a domain, Licensing displays the data pertaining to the server to which licensing information for the domain is replicated. For a Windows NT 4.0 domain, this is the enterprise server specified for licensing replication on the primary domain controller. If no enterprise server is specified, this is the primary domain controller for the domain.

Related Topics


View licensing for a server

Microsoft Windows graphic

To view licensing for a server

  1. XOX
  2. On the Server Browser tab, expand the domain for the server.
  3. Right-click the server.
  4. Click Properties.

Notes

  • XOX
  • XOX
  • To find out which licensing modes are available for a server product, click the server product on the Products View tab in Properties, and then click Edit.

Related Topics


Change the licensing mode for a server to Per Device or Per User licensing

Microsoft Windows graphic

To change the licensing mode for a server to Per Device or Per User licensing

  1. Open Licensing.
  2. On the Server Browser tab, expand the domain name.
  3. Right-click the site license server in the domain, and then click Properties.
  4. On the Products View tab, click the product, and then click Edit.
  5. In Choose Licensing Mode, click Per Device or Per User, and then click OK.
  6. After reading the information in Per Device or Per User Licensing, select the check box to agree to be bound by the license agreements for this product, and then click OK.

Notes

  • XOX
  • XOX In this case, click License.
  • The Per Device or Per User licensing mode requires a Client Access License for every device or user that connects to the selected server product. Licensed devices or users can access any server running the product. Typically, this is more economical on networks where client devices or users connect to more than one server.
  • If you are uncertain which mode to use, leave the server product in Per Server mode. The license agreement allows a one-time, one-way change from Per Server to Per Device or Per User licensing. You cannot switch from Per Device or Per User to Per Server.
  • If you are performing the one-time change from Per Server to Per Device or Per User licensing mode, the Client Access Licenses allocated to the server in Per Server mode can be added to the pool of Per Device or Per User licenses available for client devices or users accessing the server product on any server in the site.
  • To perform this procedure locally on a server, click Licensing in Control Panel.

Related Topics


Configure replication for a server

Microsoft Windows graphic

To configure replication for a server

  1. XOX
  2. On the Server Browser tab, expand the domain.
  3. Right-click the server to manage, and then click Properties.
  4. Click the Replication tab.
  5. Under Replication Frequency, specify the interval at which licensing information is replicated to the site license server:
    • To manually specify a time for daily replication on this server, click Start At and enter a time.
    • To manually set an interval of time between licensing information replication, click Start Every and enter the desired interval.

Notes

  • XOX
  • XOX
  • If you select Start At under Replication Frequency and multiple servers replicate to the site license server, you must vary the starting times on each server to balance the load. Replication might not start until 15 minutes after the specified time.
  • Windows Server 2003 operating systems replicate automatically to a domain controller, and domain controllers replicate to the site license server. If you have a standalone server in a Windows NT 4.0 domain, that server replicates to the primary domain controller. The option to specify a master server applies only to servers running Windows NT 4.0 and is unavailable when you are managing a server running Windows 2000 or Windows Server 2003.
  • When you are managing a server running Windows NT 4.0, you can use the Master Server options to specify where the server replicates. For more information, see "Licensing replication" in Related Topics.

Related Topics


Change the site license server for a site

Microsoft Windows graphic

To change the site license server for a site

  1. Open Active Directory Sites and Services.
  2. In the console tree, click the site you want to configure.

    Where?

    • Active Directory Sites and Services
    • Sites
    • Site
  3. In the details pane, click Licensing Site Settings.
  4. On the Action menu, click Properties.
  5. Under Licensing Computer, to select a different server to be the site license server, click Change.

Notes

  • XOX
  • XOX
  • To retain the licensing history for your enterprise, stop the License Logging service on the new site license server, and then copy the following files from the old site license server to the same location on the new site license server:
    • Systemroot\System32\Cpl.cfg, which contains the purchase history for your organization.
    • Systemroot\Lls\Llsuser.lls, which contains user information about the number of connections.
    • Systemroot\Lls\Llsmap.lls, which contains license group information.

    Restart the License Logging service after you copy these files. This transfer must be completed immediately after you change to the new site license server, or you might lose licensing data replicated from other servers.

  • For optimal performance, install the site license server in the site whose licenses you want to manage. The default site license server is the first domain controller created in the site, but the site license server does not have to be a domain controller.

Related Topics


Manage products and product licenses

  • To view product license information
  • To add Per Device or Per User Client Access Licenses
  • To delete Per Device or Per User Client Access Licenses
  • To add Per Server Client Access Licenses
  • To delete Per Server Client Access Licenses


View product license information

Microsoft Windows graphic

To view product license information

  1. XOX
  2. On the Products View tab, right-click the server product name.
  3. Click Properties.

Notes

  • XOX
  • XOX
  • The three tabs in the Properties dialog box for a server product show the following information.
    Tab | Shows
    Clients | Users have used the server product in Per Device or Per User licensing mode.
    Purchase History | The date, quantity, and administrator for license purchases. You can add or delete licenses.
    Server Browser | The license mode for servers in the site and the number of licenses for Per Server mode. You can add or remove Per Server licenses, change the licensing mode, or configure replication of licensing information.

Related Topics


Add Per Device or Per User Client Access Licenses

Microsoft Windows graphic

To add Per Device or Per User Client Access Licenses

  1. XOX
  2. On the License menu, click New License.
  3. In Product, click the server product you want to manage.
  4. In Quantity, type the number of licenses purchased.
  5. In Comment, you can type a note to aid in identifying the purchase.

Notes

  • XOX
  • XOX In this case, click Licensing.
  • Client Access Licenses added in Per Device or Per User licensing mode are added to the pool of licenses for Windows Server 2003 operating systems. As devices or users access the product anywhere in the site, they are allocated licenses from the pool, one license for each device or user. After the pool of available licenses is depleted, license violations occur when additional devices or users access the product.

Related Topics


Delete Per Device or Per User Client Access Licenses

Microsoft Windows graphic

To delete Per Device or Per User Client Access Licenses

  1. XOX
  2. On the Products View tab, click the server product from which you want to delete licenses.
  3. On the License menu, click Delete.
  4. In Number of Licenses to remove, type the number of licenses to be deleted.
  5. Click Remove.
  6. Click Cancel to close the dialog box. Clicking Cancel does not cancel your changes.

Notes

  • XOX
  • XOX

Related Topics


Add Per Server Client Access Licenses

Microsoft Windows graphic

To add Per Server Client Access Licenses

  1. XOX
  2. On the Server Browser tab, expand Enterprise, the domain name, and then the server you want to manage. The list of server products installed on the server is displayed.
  3. Right-click the server product for which you want to add licenses, and then click Properties.
  4. Click Add Licenses.
  5. In Quantity, type the number of licenses to add.
  6. After reading the information in Per Server Licensing, select the check box to agree to be bound by the license agreements for this product, and then click OK.

Notes

  • XOX
  • XOX In this case, click License.
  • Client Access Licenses added in Per Server mode allow for connections to a server product on a particular server. When a user connects to the server product on that server, the connection consumes a license. When the user disconnects from the server product, the License Logging service makes the license available to another user.
  • You can set the number of Per Server connections to 0 for a Windows Server 2003 operating system if it is used only as an operating system for an application and does not provide basic network services (such as file sharing, remote access, and authenticated access).
  • XOX

Related Topics


Delete Per Server Client Access Licenses

Microsoft Windows graphic

To delete Per Server Client Access Licenses

  1. XOX
  2. On the Server Browser tab, expand Enterprise, the domain name, and then the server you want to manage. The list of server products installed on the server is displayed.
  3. Right-click the server product for which you want to remove licenses, and then click Properties.
  4. Click Remove Licenses.
  5. In Number of licenses to remove, type the number of licenses.
  6. Click Remove, and click Yes to confirm the change.
  7. Click Cancel to close the dialog box, and then click OK to save the changes.

Notes

  • XOX
  • XOX
  • XOX

Related Topics


Manage users

  • To view user licensing information
  • To revoke a user's Client Access License for a product
  • To delete a user from a license
  • To create a new license group
  • To edit or view a license group


View user licensing information

Microsoft Windows graphic

To view user licensing information

  1. XOX
  2. On the Clients tab, right-click the user's name.
  3. Click Properties.

Notes

  • XOX
  • XOX
  • The user properties show the number of times a user has accessed server products. You can also revoke a user's product license.

Related Topics


Revoke a user's Client Access License for a product

Microsoft Windows graphic

To revoke a user's Client Access License for a product

  1. XOX
  2. Click the Products View tab.
  3. Right-click the product, and then click Properties.
  4. On the Clients tab, click the user.
  5. Click Revoke, and then click Yes.

Notes

  • XOX
  • XOX
  • Revoking a license returns it to the pool of available Per Device or Per User licenses for the server product.
  • You might want to revoke a user's license if the usage statistics show that the user does not access the product often enough to warrant retaining the Client Access License.

Related Topics


Delete a user from a license

Microsoft Windows graphic

To delete a user from a license

  1. XOX
  2. On the Clients tab, select the name of the user.
  3. On the License menu, click Delete, and then click Yes.

Notes

  • XOX
  • XOX
  • Deleting a user releases licenses allocated to the user to the respective product license pools for Microsoft server products. Perform this procedure when a user has been removed from the network or no longer accesses the server products regularly.

Related Topics


Create a new license group

Microsoft Windows graphic

To create a new license group

  1. XOX
  2. On the Options menu, point to Advanced, and then click New License Group.
  3. In Group Name, type a short descriptive name.
  4. In Description, type additional details to help identify the group.
  5. In Licenses, enter the number of licenses needed in Per Device or Per User licensing mode.
  6. Click Add.
  7. In List Users from, click the appropriate domain.
  8. Under Users, select the users you want in the group, and then click Add.

Notes

  • XOX
  • XOX

Related Topics


Edit or view a license group

Microsoft Windows graphic

To edit or view a license group

  1. XOX
  2. On the Options menu, point to Advanced, and then click Edit License Groups.
  3. Perform any of the following tasks.
    To | Do this
    Add a new license group | Click Add.
    Delete a license group | Click the group, and then click Delete.
    Change the description, number of licenses, or users | Click the group, and then click Edit.

Notes

  • XOX
  • XOX

Related Topics


Concepts

  • Licensing overview
  • Using licensing
  • Resources


Licensing overview

A software license grants you the legal right to use a piece of software. For each software program you use, you need a license, which is granted to you and documented in the license agreement. Your use of a software product is governed by the terms of the license agreement, as well as by copyright law. The unauthorized duplication of software constitutes copyright infringement, whether it is done for sale, for free distribution, or for personal use.

The license agreement that governs the use of Microsoft products is called the End User License Agreement (EULA). It is a contract between you and Microsoft. By acquiring the software and opening it, you accept the terms of the license agreement and you are granted the right to use the software. It is important to keep the EULA in your files. It is proof that you are the legal, licensed user of the software program.

You must have server licenses for a Microsoft® Windows Server 2003 operating system and for other server products. You must also have a Client Access License for each device or user that connects to that server.

The following topics provide more detailed information about licensing.

  • For information about how to track licensing, see Using licensing.
  • For information about where to find additional Microsoft licensing resources, including licensing for specific Windows Server 2003 operating systems, and information about enterprise licensing, see Resources.
  • For information about required licenses for your Windows Server 2003 operating system deployment, see the Microsoft Web Site. (http://www.microsoft.com/)


Using Licensing

  • Administering and tracking licenses
  • Tracking your organization's licensing


Administering and tracking licenses

Tracking licenses manually within single domain or across multiple domains can be time consuming and expensive. Windows Server 2003 operating systems provide two utilities that automate this task and help you minimize the time and expense of license tracking. You can use these utilities to view data and manage licensing for server products and to ensure that you are complying with the Windows Server 2003 operating system licensing requirements.

Important

  • You must be an administrator or a member of the Administrators group in order to use either the Licensing option in Control Panel or the Licensing tool in Administrative Tools.

Licensing in Control Panel

The Licensing option in Control Panel manages licensing requirements for a single computer running a Windows Server 2003 operating system. Use it locally on the computer you are managing to:

  • Add or remove Client Access Licenses for a server product licensed in Per Server mode.
  • Change the licensing mode from Per Server to Per Device or Per User (one time only).
  • Configure the time or frequency of replication of the server's licensing information to the centralized database on the site license server.

For more information, see Manage licensing on the local server.

Licensing in Administrative Tools

Use Licensing in Administrative Tools to manage licensing for the enterprise. It enables you to administer and track licensing data for a site in the centralized licensing database on the site license server. You can:

  • View Per Server and Per Device or Per User licenses for the site or a group in the site.
  • Manage the purchase or deletion of licenses for server products on network servers.
  • View usage statistics for each user.
  • Remotely manage licensing on servers for server products licensed in Per Server mode.
  • Manage license replication on the network.

For more information, see Administering licensing for the enterprise.


Tracking your organization's licensing

  • Administering licensing for the enterprise
  • Licensing replication
  • Configuring licensing replication
  • Configuring Windows NT 4.0 licensing replication
  • License groups
  • Tracking user licenses for multiple sites


Administering licensing for the enterprise

To administer Windows Server 2003 operating system licensing for sites or the enterprise, use Licensing in Administrative Tools. You can track licensing data replicated to the site license server for sites or replicated to the primary domain controller for Windows NT 4.0 domains. For more information, see To view licensing for a site and To view licensing for a Windows NT 4.0 domain.

Licensing in Administrative Tools divides tasks into Purchase History, Products View, Clients, and Server Browser.

Purchase History: To view license purchases

The Purchase History tab in Licensing provides a historical overview of the licenses purchased for a site. It also shows the quantity of licenses purchased and deleted, the date of addition or deletion, and the name of the administrator who performed the action.

Products View: To view and manage product licensing

The Products View tab of Licensing provides licensing information for server products in a site. The information displayed for a server product depends on the licensing mode for the product.

For a product in Per Device or Per User mode, Product View shows how many licenses have been purchased for the product and how many licenses have been allocated to users or devices for all the products.

For Per Server mode, Product View shows the total number of licenses that have been purchased for each product on all the servers in the site. It also shows the maximum number of Per Server connections reached to the current date on all servers with the product in the site.

You can use both the numerical and graphical information shown in Products View to determine the following information about your licenses:

Symbol | Licensing status
Compliance symbol for licensing | The product is in compliance with legal licensing requirements.
Noncompliance symbol for licensing | The product is not in compliance with legal license requirements.
Legal limit symbol for licensing | The product has reached the legal limit, and you might want to purchase additional licenses.

In Products View, you can perform the following licensing tasks:

  • Add new Client Access Licenses for a product
  • Delete Client Access Licenses for a product
  • View client accesses, purchase history, and server information for a product.

Clients: To view and manage client licensing

The Clients tab lists devices and users that have used the products in a domain or organization. For each device or user, it shows licensed and unlicensed usage of Windows Server 2003 operating systems. You can perform the following licensing tasks on this tab:

  • View product usage by devices or users.
  • Add new Client Access Licenses.
  • Create, view, and edit license groups.

    Important

    • Each device or user in a license group requires a client access license.
  • Revoke a license allocated to a device or user.

You can use both the numerical and graphical information shown in Clients to determine the following licensing status:

Symbol | Licensing status
Compliance symbol for licensing | Users in compliance with legal licensing requirements (licensed usage).
Noncompliance symbol for licensing | Users in violation of legal licensing requirements (unlicensed usage).

Server Browser: To view and manage server licensing

The Server Browser tab lists all the sites, domains, and servers in your organization. It shows the Windows Server 2003 operating systems installed on each server. You can use this tab to view and configure licensing for server products on servers in any site or domain for which you have administrative authority.

Use the Server Browser tab to view the licensing configuration of any server in the enterprise. You can perform any of the following administrative tasks at the server level:

  • View Windows Server 2003 operating systems installed on a server.
  • View the licensing mode for each product on a server.
  • For products in Per Device or Per User licensing mode, view the number of Client Access Licenses purchased.
  • For any server product in Per Device or Per User licensing mode, add or remove Client Access Licenses for a product.
  • Open and manage a selected item's properties at the server and product levels.
  • For any Windows server, view and change the time or frequency of licensing replication.
  • For a computer running Windows NT 4.0 Server, view and change the location where licensing replication information is stored.

The properties for each server list all the Windows Server 2003 operating systems installed on the server. For each product, you can add or remove Per Server licenses or change the licensing mode. The properties for each product show the licensing mode and, if the product is in Per Server mode, the number of licenses.


Licensing replication

An administrator can ensure an organization's legal compliance with the license agreements for Windows Server 2003 operating systems by monitoring license purchases, deletions, and usage. This licensing information is collected on a server by the License Logging service.

The License Logging service on each server in a site replicates this licensing information to a centralized database on a server, called the site license server, for the site. A site administrator or administrator for the site license server can then use Licensing in Administrative Tools to view the licensing history for the entire site stored on the site license server.

Typically, the site license server is the first domain controller created for the site. In a large organization with multiple sites, the site license server in each site collects licensing information for that site.

To find which server is the site license server, see To find the site license server for a site. To change the site license server to a different server, see To change the site license server for a site. To view licensing information for any site on your network, see To view licensing for a site.


Configuring licensing replication

On a computer running Windows 2000 Server or a Windows Server 2003 server operating system, you can configure how often licensing data is replicated to the domain controller or site license server. On a computer running Windows NT 4.0 Server, you can also configure where the data is replicated. These settings can be configured either locally on a server or remotely.

To configure licensing replication locally on a server, use the Licensing option in Control Panel. See To configure licensing replication on the local server. To configure replication remotely for a server in your network, use Licensing in Administrative Tools, as described in To configure replication for a server.

Replication options

The following table describes the options for configuring replication.

Option | Use to | Use when
Start At | Specify a time each day when licensing information is replicated to the site license server. | You want to manually set up a starting time for replication on this computer. You must vary the starting times on servers replicating to a particular master or enterprise server.
Start Every | Set the frequency for licensing replication. | The system staggers the times licensing data from each server is replicated.

Balancing the license replication load

The Replication Frequency settings (Start At and Start Every in the table) affect how long licensing changes on individual servers take to propagate to the enterprise server. The default is to start every 24 hours, and the system automatically staggers replication to balance the load. You can lengthen or shorten the interval to change how quickly data is propagated.

If you want to control the time at which replication occurs, select Start At on each replicating server and specify a time. To balance the load, you must manually vary the starting time of each server replicating to a particular server. The actual replication might start up to 15 minutes before or after the specified time.

Additional replication options for earlier versions of Windows servers

Servers running Windows 2000 or Windows Server 2003 automatically replicate to the domain controller, and domain controllers replicate to the site license server. For Microsoft Windows NT 3.1 or Windows NT 4.0 servers on your network, you must configure where they replicate their licensing data. You do this with the Master Server options in the Replication Configuration dialog box. These options appear only for Windows NT 3.1 or Windows NT 4.0 Servers.

Option | Use to | Use when
Domain Controller | Specify that this computer replicates to the primary domain controller. | This computer is a member server or a backup domain controller in a Windows NT 4.0 domain. This computer is a standalone server or a primary domain controller, and you do not want to replicate further.
Enterprise Server | Specify that the master server is an enterprise server, and enter the name of the enterprise server. | This computer is a standalone server and part of an enterprise, and you want to replicate its licensing information directly to an enterprise-licensing database. The computer is the primary domain controller for its domain, and you want to replicate to an enterprise-licensing database.

For more information, see Configuring Windows NT 4.0 licensing replication and To view licensing for a Windows NT 4.0 domain. To configure licensing locally on a Windows NT 3.1 or Windows NT 4.0 server, see online Help on the server.


Configuring Windows NT 4.0 licensing replication

A server running Windows NT Server 4.0 replicates licensing data to a designated master server. By default, a server running Windows NT Server 4.0 replicates licensing data to the domain controller in its domain. An administrator can configure the domain controller to either retain the licensing data or replicate it to a designated enterprise server, which collects licensing data from all domains in an enterprise. This is different from a server running Windows 2000 or Windows Server 2003, which always replicates to the site license server.

If you are administering licensing for a Windows 2000 or Windows Server 2003 operating system site, you can still configure replication for any server running Windows NT Server 4.0 in your network. For a Windows NT 4.0 domain controller, you can select Domain Controller (the default setting) to retain the licensing information for the domain on the domain controller. Alternatively, you can specify that the licensing information for the domain replicate to a specified enterprise server. Preferably, you want to consolidate licensing information from a Windows NT 4.0 domain controller with other information for your enterprise. To do this, choose to replicate licensing information to an enterprise server and specify the site license server as the enterprise server.

If a server running Windows NT Server 4.0 replicates to a domain controller that then replicates to an enterprise licensing database, data can take longer to reach the site license server than with a server running Windows 2000 or Windows Server 2003 replicating directly to the site license server. For example, with a replication interval of 24 hours, information can take up to 24 hours to replicate to a domain controller and then up to 24 additional hours to replicate to a site license server. When the option to replicate to the enterprise server is available for a server that is not a domain controller, you can speed the replication process by specifying that replication should go directly to the site license server.

Important

  • Do not do this if you want to be able to view licensing data separately for a Windows NT 4.0 domain. For more information, see To view licensing for a Windows NT 4.0 domain.

For more information about replication in Windows 2000 or Windows Server 2003 operating systems, see Licensing replication. For more information about master server replication options for servers running Windows NT 4.0, see Additional replication options for prior versions of Windows servers. To locate the site license server for a site, see To find the site license server for a site. To view replication settings for a Windows NT 4.0 Server, follow the procedure To configure replication for a server.


License groups

In Per Device or Per User licensing mode, a license is required for each client device or user that accesses a server product. License Logging service, rather than allocating licenses to computers, allocates them to users when they access a server product for the first time. This fulfills the legal requirement of one Client Access License for each client device only when the number of client devices is the same as the number of users on a network—most simply, when each user has one device.

Having a number of users that is different from the number of devices might provide incorrect licensing information. To obtain correct licensing information, you should organize users in license groups. A license group pools the licenses for devices used by users in a group. When users in a group access the server product, they use the group license and do not consume additional licenses. Thus, you can maintain the one-to-one correspondence between licenses and devices.

Create license groups to obtain correct licensing information under the following conditions:

  • Many people use one device. This can occur when people share jobs or when employees who are working different shifts use the same device.
  • Many users use many devices, but there are more users than devices. This situation might exist in a university's computer lab or in a retail store.
  • One user uses more than one device. This often occurs when software developers create programs on one device and test their applications on several other devices.

To create a license group, specify the users in the group and allocate one license for each client device used to access the server. The number of licenses allocated to a group should correspond to the number of devices used by members of the group. This can be either fewer or more than the number of users.

  • If 10 people are using one device, you need only one Client Access License. The group would include all of the users, but have only one license.
  • If 100 users are using 10 devices, you need 10 Client Access Licenses, one for each of the 10 devices. The group would list the 100 users and have 10 Client Access Licenses.
  • If one user uses 5 devices, you need a Client Access License for each device. The group would list the single user and have 5 licenses.

To create a new license group, see To create a new license group. To add, delete, or change a license group, see To edit or view a license group.


Tracking user licenses for multiple sites

Users accessing a Windows Server 2003 operating system in more than one site might be allocated multiple licenses for the product. The License Logging service for Windows Server 2003 operating systems collects site-licensing information on the site license server for a single site. This enables a geographical or organizational unit in an organization to purchase and manage their software licenses separately. However, because each site allocates licenses to users independently of other sites, a user connecting to a product in more than one site might be allocated more than one Client Access License for the same product.

If your organization has multiple sites and you notice unexpected consumption of software licenses, you should check for multiple licenses allocated to users in different sites. To search for multiple Client Access Licenses allocated to the same user in more than one site, you must compare the product information for different sites. To compare the users listed in Clients for different sites, use Licensing in Administrative Tools. For more information, see To view product license information.

If a user from a different site is allocated a license for a server product in both sites, you can either delete the user or revoke the license. However, do not do this if the user uses a different device for each site—for example, if the user regularly travels between corporate offices and has a different device in each location. The license allocation would then be correct.

Multiple sites for an organization normally reflect groups of users that are distinct geographically or organizationally, working on distinct subnets owned by the organization. If you find that users are constantly accessing servers in different sites, you might want to reconsider how you structure the sites or how you distribute resources among sites.


Resources

Licensing for the enterprise

For more information on licensing for an enterprise, see Software Licensing at the Microsoft Web site (http://www.microsoft.com/).


Troubleshooting

This section provides troubleshooting information about Licensing.

  • License Logging service messages
  • Troubleshooting licensing


License Logging service messages

You might see one or more of the following informational or error messages from the License Logging service.

License Logging service messages

3 Server ServerName has requested that license database replication to it be delayed.

Indicates that the specified Site License Server or domain controller is unable to accept replicated data at this time. License Logging service will reattempt replication in 15 minutes.

4 License database replication to server servername has started.

Indicates that replication to the specified Site License Server or domain controller has started successfully.

5 License database replication to server servername has completed successfully.

Indicates that replication to the specified Site License Server or domain controller has completed successfully.

Warning and error messages

201 No license was available for user UserName using product ProductName. Use Licensing from the Administrative Tools folder to ensure that you have sufficient licenses.

Indicates a licensing violation. All the licenses for the specified product have been assigned to users. Use Licensing in Administrative Tools to analyze usage. You can find out how many licenses should be purchased or revoke licenses from users who are not using them.

202 The product ProductName is out of licenses. Use Licensing from the Administrative Tools folder for more information on which users are out of compliance and how many licenses should be purchased.

Indicates a licensing violation. All the licenses for the specified product have been assigned to users. Use Licensing in Administrative Tools to find out which users are out of compliance. You can find out how many licenses should be purchased or revoke licenses from users who are not using them.

203 The user data could not be saved. The data is the error code.

Indicates that changes to the user information could not be saved. The License Logging service may be able to successfully save the data later. If not, the data will be lost. Data that is replicated from other servers will be received again during the next replication. Data entered on this server will have to be re-entered.

204 The license group mapping data could not be saved to LlsMap.LLS. The data is the error code.

Indicates that changes to the license groups could not be saved. The License Logging service may be able to successfully save the data later. If not, the data will be lost. Data replicated from other servers will be received again during the next replication. Data entered on this server will have to be re-entered.

205 The purchased license data could not be saved to CPL.CFG. The data is the error code.

Indicates that changes to license purchase information could not be saved. The License Logging service may be able to successfully save the data later. If not, the data will be lost. Data replicated from other servers will be received again during the next replication. Data entered on this server will have to be re-entered.

208 The saved user data could not be restored.

Indicates that user data could not be read from a saved file. The License Logging service will overwrite the file the next time it saves information. Data that was received from other servers will be retrieved during the next replication, but data entered for this server will have to be re-entered.

209 The saved license group data could not be restored.

Indicates that user data could not be read from a saved file. The License Logging service will overwrite the file the next time it saves information. Data that is received from other servers will be retrieved during the next replication, but data entered for this server will have to be re-entered.

210 The saved purchased license data could not be restored.

Indicates that the license groups data could not be read from a saved file. The License Logging service will overwrite the file the next time it saves information. Data that is received from other servers will be retrieved during the next replication, but data entered for this server will have to be re-entered.

213 Replication of license information failed because the License Logging service on server ServerName could not be contacted.

Indicates that either the indicated Site License Server or domain controller is unavailable on the network or the License Logging service on that computer is stopped. Verify that the computer is on the network and is running. If the computer is available on the network, use Services in the Computer Management System Tools to verify that the License Logging service is running on that computer.

214 The License Logging service encountered an error while initiating replication to server ServerName.

Indicates that the License Logging service on the indicated server was contacted, but an error occurred before replication could begin. This is probably caused by communication problems on the network. The License Logging service will retry replication every 15 minutes until it succeeds.

215 License database replication to server ServerName was unsuccessful.

Indicates that replication to the named server began successfully but failed to complete. This is probably caused by communication problems on the network. The License Logging service will retry replication every 15 minutes until it succeeds.

218 The certificate database could not be saved.

Indicates that License Logging service could not save the certificate database. Check whether the server has enough disk space.

219 The certificate database could not be restored.

Indicates that the database file may be corrupted. No action is required, because the database will be automatically regenerated.

220 License database replication cannot be performed to server ServerName because the version of Windows NT installed there does not support the License Logging service.

Indicates that the specified server is available on the network, but License Logging service is not installed, because it is running a version of Windows NT earlier than 3.51.

221 License usage for product ProductName is nearing the maximum number of Per Server licenses purchased. Consult Licensing from the Administrative Tools folder for more information.

Indicates that the specified product is licensed in Per Device or Per User mode. Nearly all the Client Access Licenses are assigned, and you may need to purchase additional licenses to provide for the clients connecting to this product on your network. You can also revoke licenses from clients that are no longer using the product. Use Licensing in Administrative Tools to analyze usage.

222 License usage for product ProductName is at the maximum number of Per Server licenses purchased. New license requests cannot be granted. Consult Licensing in Administrative Tools for more information.

Indicates that the specified product is licensed in Per Device or Per User mode. All the Client Access Licenses are being used, and you need to purchase additional licenses to provide for the client devices connecting to this product on your network. You can also revoke licenses from client devices that are no longer using the product. Use Licensing in Administrative Tools to analyze usage.


Troubleshooting licensing

What problem are you having?

No more connections can be made to a server product because the number of connections has reached the maximum that the server can accept.

Cause: The server product might be configured with Per Server licensing and the number of licenses might be exhausted.

Solution: Check license usage for the product on the server. The user can wait until others stop accessing the product. To eliminate the problem, you can purchase more licenses for the product.

See also: To view product license information

The number of Per Device or Per User Client Access Licenses allocated is more than the number of client devices accessing a Windows Server 2003 operating system.

Cause: A Client Access License is required for each client device or user that accesses a Windows Server 2003 operating system. Any of the following situations can consume extra licenses:

  • A user who accessed a server product has been removed from the network.
  • A user is still on the network, but no longer uses the server product.
  • Several users access a product from a single client device.

Solution: To release allocated licenses, do the following:

  • When you remove a user from the network, use Licensing in Administrative Tools to delete the user.
  • Use Licensing in Administrative Tools to check how recently and often a user accesses a particular server product. Revoke a Client Access License if a user no longer uses the product.
  • When several users share one or more client devices, create a license group to allocate the same number of Client Access Licenses among the users as there are client devices.

See also: To view user licensing information, To delete a user from a license, To revoke a user's Client Access License for a product, or To create a new license group

The number of Client Access Licenses allocated is fewer than the number of client devices used to access a product.

Cause: A user accesses a server product from more than one device.

Solution: Whenever one or more users use several different devices, create a license group to allocate the pooled Client Access Licenses for the client devices to the users. This can cause more Client Access Licenses to be allocated than there are client devices accessing a product.

See also: To create a new license group

Client Access Licenses for a product are allocated to users who belong to another site.

Cause: License Manager tracks usage for a single site, and does not distinguish users who access a particular server product in more than one site from a single client device.

Solution: Use Licensing in Administrative Tools to revoke licenses or delete users from another site. Do not revoke a Client Access License from a user who uses different devices that belong to the different sites. The number of licenses then corresponds correctly to the number of client devices. If a user in a site shares a device with a user from another site (for example, a visitor from another division of the company), then create a license group to correctly allocate the corresponding Client Access License to both users.

See also: Tracking user licenses for multiple sites, To delete a user from a license, To revoke a user's Client Access License for a product, or To create a new license group


Choose Licensing Mode dialog box

You can use this dialog box to select the licensing mode you want, either Per Server or Per Device or Per User, and to add or remove licenses.

Item | Description
Product | Displays a list of Windows products.
Per Server | Select this option to choose Per Server licensing mode.
Number of concurrent connections | Opens the number of concurrent connections.
Per Device or Per User | Select this option to choose Per Device or Per User licensing mode.
Add Licenses button | Opens the New Client Access License dialog box, where you can increase the number of "Per Server" or "Per Device or Per User" licenses once you have purchased them.
Remove Licenses button | Opens the Select Certificate to Remove Licenses dialog box.
Replication button | Opens the Replication Configuration dialog box.

Related Topics


New Client Access License dialog box

You can use this dialog box to choose the server product, quantity, and license mode for this license.

Item | Description
Product | Specifies the current operating system. If another product is available, you can select it from the list.
Quantity | Type or select the number of licenses you want. If you have not purchased the number of licenses you have specified, you must purchase the required licenses before using a Windows Server 2003 operating system on this device.
For License Mode | If available, you can select the licensing mode you want.
Comment | If available, you can type a comment here.

Related Topics


Select Certificate to Remove Licenses dialog box

You can use this dialog box to choose the installed product certificate that you want to remove. After removing licenses for a product, you can allocate them to a different product.

Item | Description
Installed Certificate | Specifies the current operating system. If another product is available, you can select it from the list.
Number of Licenses to Remove | Type or select the number of licenses you want removed.
Remove button | Specifies the current operating system. If another product is available, you can select it from the list.
Refresh List button | Refreshes the Installed Certificate list.

Related Topics


Replication Configuration dialog box

You can use this dialog box to set up licensing replication.

Item | Description
Start At | Use this option to run licensing replication at a specific time.
Start Every | Use this option to run licensing replication at a specific interval.

Related Topics